Module java.desktop
Package javax.swing.plaf.basic

## Class BasicInternalFrameTitlePane.TitlePaneLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameTitlePane.TitlePaneLayout

- All Implemented Interfaces:
    `LayoutManager`
  Enclosing class:
    BasicInternalFrameTitlePane

      public class BasicInternalFrameTitlePane.TitlePaneLayout
      extends Object
      implements LayoutManager

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TitlePaneLayout​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLayoutComponent​(String name, Component c)` | If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
    `void` | `layoutContainer​(Container c)` | Lays out the specified container.
    `Dimension` | `minimumLayoutSize​(Container c)` | Calculates the minimum size dimensions for the specified container, given the components it contains.
    `Dimension` | `preferredLayoutSize​(Container c)` | Calculates the preferred size dimensions for the specified container, given the components it contains.
    `void` | `removeLayoutComponent​(Component c)` | Removes the specified component from the layout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TitlePaneLayout

          public TitlePaneLayout​()

  - ### Method Detail

    - #### addLayoutComponent

          public void addLayoutComponent​(String name,
                                         Component c)

      Description copied from interface: `LayoutManager`
      If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
      Specified by:
        `addLayoutComponent` in interface `LayoutManager`
      Parameters:
        `name` - the string to be associated with the component
        `c` - the component to be added

    - #### removeLayoutComponent

          public void removeLayoutComponent​(Component c)

      Description copied from interface: `LayoutManager`
      Removes the specified component from the layout.
      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`
      Parameters:
        `c` - the component to be removed

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize​(Container c)

      Description copied from interface: `LayoutManager`
      Calculates the preferred size dimensions for the specified container, given the components it contains.
      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`
      Parameters:
        `c` - the container to be laid out
      Returns:
        the preferred dimension for the container
      See Also:
        `LayoutManager.minimumLayoutSize(java.awt.Container)`

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize​(Container c)

      Description copied from interface: `LayoutManager`
      Calculates the minimum size dimensions for the specified container, given the components it contains.
      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`
      Parameters:
        `c` - the component to be laid out
      Returns:
        the minimum dimension for the container
      See Also:
        `LayoutManager.preferredLayoutSize(java.awt.Container)`

    - #### layoutContainer

          public void layoutContainer​(Container c)

      Description copied from interface: `LayoutManager`
      Lays out the specified container.
      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Parameters:
        `c` - the container to be laid out